View Single Post
Old 01-05-2013, 08:14 AM   #13
twobob
( ͡° ͜ʖ ͡°){ʇlnɐɟ ƃǝs}Týr
twobob ought to be getting tired of karma fortunes by now.twobob ought to be getting tired of karma fortunes by now.twobob ought to be getting tired of karma fortunes by now.twobob ought to be getting tired of karma fortunes by now.twobob ought to be getting tired of karma fortunes by now.twobob ought to be getting tired of karma fortunes by now.twobob ought to be getting tired of karma fortunes by now.twobob ought to be getting tired of karma fortunes by now.twobob ought to be getting tired of karma fortunes by now.twobob ought to be getting tired of karma fortunes by now.twobob ought to be getting tired of karma fortunes by now.
 
twobob's Avatar
 
Posts: 6,552
Karma: 6021142
Join Date: Jun 2012
Location: uti gratia usura (Yao ying da ying; Mo ying da yieng)
Device: PW-WIFI|K5-3G+WIFI| K4|K3-3G|DXG|K2| Rooted Nook Touch
[root@kindle root]# filechecker /mnt/debian/usr/bin/tucnak
Quote:
copying /mnt/debian/usr/bin/tucnak to /mnt/us/export/tucnak/bin/tucnak
Searching 470 user libs, 58 libs, 16 extended dirs
Spoiler:

libm.so.6
kindle supported at /lib/libm.so.6
/lib support detected

libutil.so.1
kindle supported at /lib/libutil.so.1
/lib support detected

libusb-0.1.so.4
non native result /mnt/debian/lib/arm-linux-gnueabi/libusb-0.1.so.4

libgthread-2.0.so.0
kindle supported at /usr/lib/libgthread-2.0.so.0.2200.2
/usr/lib support detected

librt.so.1
kindle supported at /lib/librt.so.1
/lib support detected

libglib-2.0.so.0
kindle supported at /usr/lib/libglib-2.0.so.0.2200.2
/usr/lib support detected

libSDL-1.2.so.0
non native result /mnt/us/usr/lib/libSDL-1.2.so.0

libpng12.so.0
kindle supported at /usr/lib/libpng12.so.0.12.0
/usr/lib support detected

libsndfile.so.1
non native result /mnt/us/usr/lib/libsndfile.so.1

libasound.so.2
kindle supported at /usr/lib/libasound.so.2
/usr/lib support detected

libftdi.so.1
non native result /mnt/debian/usr/lib/arm-linux-gnueabi/libftdi.so.1

libgcc_s.so.1
kindle supported at /lib/libgcc_s.so.1
/lib support detected

libpthread.so.0
kindle supported at /lib/libpthread.so.0
/lib support detected

libc.so.6
kindle supported at /lib/libc.so.6
/lib support detected

Quote:
Export complete at /mnt/us/export/tucnak ensure you run tucnak like: LD_LIBRARY_PATH=../lib ./tucnak
hmm - let me see what that came up with...

EDIT: Meh no... too many higher GLIB calls..

I have it running WITHIN debian on the device no problem...

but.. on export...
[root@kindle bin]# LD_LIBRARY_PATH=../lib:$LD_LIBRARY_PATH ./tucnak
Quote:
./tucnak: /lib/libc.so.6: version `GLIBC_2.7' not found (required by ../lib/libglib-2.0.so.0)
./tucnak: /lib/libc.so.6: version `GLIBC_2.9' not found (required by ../lib/libglib-2.0.so.0)
./tucnak: /lib/libc.so.6: version `GLIBC_2.8' not found (required by ../lib/libglib-2.0.so.0)
it would have to be built. (or used via debian...) Sorry. I gave it a shot.
Attached Thumbnails
Click image for larger version

Name:	Selection_074.png
Views:	53
Size:	38.5 KB
ID:	98818  

Last edited by twobob; 01-05-2013 at 09:49 AM.
twobob is offline   Reply With Quote